Name:		rofi
Version:	1.5.2
Release:	1%{?dist}
Summary:	A window switcher, run dialog and dmenu replacement

#Group:		
License:	MIT/X11
URL:		https://davedavenport.github.io/%{name}/
Source0:	https://github.com/DaveDavenport/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: i3 
BuildRequires: autoconf, automake, gcc
BuildRequires: pkgconfig(xft) >= 2.0
BuildRequires: pkgconfig(cairo-xcb)
BuildRequires: pkgconfig(glib-2.0) >= 2.40
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xkbcommon) >= 0.5.0
BuildRequires: pkgconfig(xkbcommon-x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-xkb)
BuildRequires: pkgconfig(xcb-xinerama)
BuildRequires: pkgconfig(x11-xcb)
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(xcb-ewmh)
BuildRequires: pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-xrm)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(check) >= 0.11.0
BuildRequires: flex >= 2.5.39
BuildRequires: bison


%description
Rofi: A window switcher, application launcher and dmenu replacement

%prep
%autosetup

%build
autoreconf -i
mkdir build
cd build
../configure --prefix=/usr/
make

%install
cd build
%make_install

%check
make test

%files
%{_bindir}/rofi
%{_bindir}/rofi-sensible-terminal
%{_bindir}/rofi-theme-selector
%{_includedir}/rofi/*.h
%{_exec_prefix}/lib/pkgconfig/*.pc
%{_mandir}/man1/rofi.1.*
%{_mandir}/man1/rofi-sensible-terminal.1.*
%{_mandir}/man1/rofi-theme-selector.1.*
%{_mandir}/man5/rofi-theme.5.*
%{_datadir}/rofi/themes/*.rasi
%doc AUTHORS Changelog README.md Examples 
%license COPYING

%changelog
* Fri Apr 05 2019 Pierguido Lambri <plambri@redhat.com> - 1.5.2
- First build version 1.5.2;

* Sat Apr 21 2018 Pierguido Lambri <plambri@redhat.com> - 1.5.1
- First build version 1.5.1;



